If your file is private, you should whitelist these IPs to provide access only to MoEngage for the file.
This API endpoint does not currently support Team-level scoping. All segments generated using this call will be assigned to the Default Team automatically.
Rate Limits
Rate Limit Name
Rate Limit
total active segment
The limit of the total number of active segments at a time for a client is 1000.
file_segment ops per hour
The total number of file segment operations (create/add/remove) per hour per client allowed is 10.
file_segment ops per day
The total number of file segment operations (create/add/remove) per day per client allowed is 100.
file_segment users per day
The total number of users uploaded via the File segment is limited to 2 million per day. (This limit is customizable, contact the MoEngage Support team).
file_size_limit
The size of the file from which the segment is created/updated. For each request, the file size limit is 150 MB.
Notes
Breaching the limits will reject the request.
Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.
The limit of 1000 active segments is calculated across all types of ‘active segments’. Most of our customers utilise only 30-40% of this limit at any given point.
CSV File Requirements
The attribute names should be separated by new lines.
CSV should be a single column and less than 150MB.
Values should not end with a comma (e.g., abcd not abcd,).
Values should not have duplicates or special characters (e.g., abcd not "abcd" or a#bc).
File should not have empty rows or columns.
A user attribute value must uniquely identify a single user.
As soon as the request is received at the MoEngage system, MoEngage creates a segment with zero users. After this, the file is downloaded, processed, and users are added to the segment. If the segment is queried during processing, it will show zero or partial user count.There is no fixed processing timeout. If the initial file download fails, MoEngage automatically retries before reporting a failure via the callback.
Callback Payload
When file processing completes, MoEngage sends a POST request to your callback_url. Your server must return an HTTP 200 to acknowledge receipt.The payload structure depends on the processing outcome.Success (status: 201)
Field
Type
Description
db_name
string
The MoEngage database name for your workspace.
segment_name
string
The name of the processed segment.
request_id
string
Unique identifier for this processing request.
status
integer
201 on successful processing.
values_found
integer
Number of rows present in the uploaded file.
values_processed
integer
Number of values processed from values_found. Values with corrupted or empty data are skipped.
user_count
integer
Number of users found in MoEngage from the processed values and added to the segment.
Failure (status: 400 or 500)
Field
Type
Description
db_name
string
The MoEngage database name for your workspace.
segment_name
string
The name of the segment for which processing failed.
request_id
string
Unique identifier for this processing request.
status
integer
400 for client errors (for example, file too large, download failed), 500 for server errors.
error_message
string
Description of what caused the processing to fail.
Authorizations
Authorization
string
header
required
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
Password: Use your API Key, which you can find within the Data tile.
For more information on authentication and getting your credentials, refer here.
Headers
MOE-DBNAME
string
required
The MoEngage database name (db_name) from which the data is available.
Body
application/json
Configuration for the new file segment.
Schema for creating a new file segment.
name
string
required
Name of the segment. Must be unique for creation.
attribute_name
string
required
Name of the user attribute to use as an identifier (e.g., 'ID', 'email').
attribute_type
enum<string>
required
The data type of the attribute_name.
Available options:
string,
double
file_url
string<uri>
required
A public, downloadable URL to a single-column CSV file.
expiry_time
integer<int32>
required
Segment expiry time in days. The maximum value is 365. When the expiry time is reached, all users are dropped from the segment and the segment is archived.
Required range: x <= 365
callback_url
string<uri>
Callback URL to receive the result of segment processing.
emails
string<email>[]
List of email IDs to receive segment processing response.
The payload sent to the callback URL. The structure depends on the processing status.
db_name
string
The database name.
Example:
"test_db"
segment_name
string
The name of the segment.
Example:
"test_segment_name"
request_id
string
The unique ID of the request.
Example:
"d5a263c4ef1198ae3d8496c0460f570f"
status
integer
The HTTP status code indicating the outcome (e.g., 201 for success, 400/500 for failure).
Example:
201
values_found
integer
(Success only) Number of rows present in the uploaded file.
values_processed
integer
(Success only) Number of values processed from values_found. Values with corrupted or empty data are skipped.
user_count
integer
(Success only) Number of users found in MoEngage from the processed values and added to the segment.
error_message
string
(Failure only) A description of the error.
Response
200
OK. Acknowledges receipt of the callback. Your endpoint should return this.
Response
Request accepted for processing.
API Response
Processing Callback
Response returned when a file segment request is accepted for processing.
message
string
The status message of the request.
success
boolean
Indicates if the request was accepted.
Example:
true
cs_name
string
The unique name of the segment being processed.
cs_id
string
The unique identifier of the segment being processed.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"MoEngage","colors":{"primary":"#2E69FF","light":"#6691FF","dark":"#2554CC"},"logo":{"light":"https://mintcdn.com/moengage/VG5pJbeZsDUmdCZM/logo/light.svg?fit=max\u0026auto=format\u0026n=VG5pJbeZsDUmdCZM\u0026q=85\u0026s=28ca5909311cb6ffe01738e1503b5e64","dark":"https://mintcdn.com/moengage/VG5pJbeZsDUmdCZM/logo/dark.svg?fit=max\u0026auto=format\u0026n=VG5pJbeZsDUmdCZM\u0026q=85\u0026s=728a767d8fb8d3434575a28de18d08c5","href":"https://www.moengage.com/docs/"},"favicon":"https://mintcdn.com/moengage/bJi_ZHRHKldZCdcW/logo/favicon.svg?fit=max\u0026auto=format\u0026n=bJi_ZHRHKldZCdcW\u0026q=85\u0026s=9d13744d3b616913967983f324947bb5","api":{"examples":{"languages":["curl"]}},"appearance":{"default":"system"},"background":{"decoration":"gradient","color":{"light":"#FFFFFF","dark":"#121212"}},"navbar":{"links":[{"href":"/user-guide/contact-support/raise-a-support-ticket-through-moengage-dashboard","label":"Support"},{"href":"https://www.moengage.com/request-demo","label":"Request Demo"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.moengage.com/"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/moengage","x":"https://x.com/i/flow/login?redirect_after_login=%2Fmoengage","youtube":"https://www.youtube.com/c/MoEngage_Global","facebook":"https://www.facebook.com/moengage","github":"https://github.com/moengage"},"links":[{"header":"Support","items":[{"label":"Contact Support","href":"https://www.moengage.com/docs/user-guide/contact-support/raise-a-support-ticket-through-moengage-dashboard"},{"label":"AIRA Support Bot","href":"https://www.moengage.com/docs/user-guide/contact-support/aira-support-bot/aira-overview"},{"label":"Suggest a Feature","href":"https://www.moengage.com/docs/user-guide/contact-support/suggest-a-feature"},{"label":"System Status","href":"https://status.moengage.com"}]},{"header":"Learn","items":[{"label":"MoEngage Academy","href":"https://academy.moengage.com/student/catalog"},{"label":"Use Cases","href":"https://www.moengage.com/docs/use-cases/introduction"},{"label":"Release Notes","href":"https://www.moengage.com/docs/release-notes/subscribe-to-release-notes"},{"label":"Blog","href":"https://www.moengage.com/blog"}]},{"header":"For AI Tools","items":[{"label":"Setup Guide","href":"https://www.moengage.com/docs/documentation-access-to-agents"},{"label":"llms.txt","href":"https://www.moengage.com/docs/llms.txt"},{"label":"llms-full.txt","href":"https://www.moengage.com/docs/llms-full.txt"}]}]},"seo":{"metatags":{"google-site-verification":"ICNaPDX9oefbF09W1b5_U9PDnlkyfyKSRbIap6_dW6o"},"indexing":"all"},"fonts":{"heading":{"family":"circular","source":"https://app-cdn.moengage.com/images/Fonts/CircularXXWeb-Regular.woff2","format":"woff2"},"body":{"family":"circular","source":"https://app-cdn.moengage.com/images/Fonts/CircularXXWeb-Regular.woff2","format":"woff2"}},"styling":{"eyebrows":"breadcrumbs","latex":true},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"languages":[{"language":"en","href":""},{"language":"ja","href":"ja"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"moengage","hasAudioNarration":false,"actualSubdomain":"moengage","customDomains":["moengage.com"],"gitSource":{"type":"github","owner":"moengage","repo":"moengage-documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false,"contextualFeedback":{"allowEmail":true},"issues":false,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afbfdc238d829fb000ebc94","clientVersion":"0.0.4167","searchFilterCounts":[{"language":"en","tag":"Guide","count":1189},{"language":"ja","tag":"ガイド","count":1180},{"language":"en","tag":"User Guide","count":798},{"language":"ja","tag":"ユーザーガイド","count":798},{"language":"en","tag":"Campaigns and Channels","count":437},{"language":"ja","tag":"キャンペーンとチャネル","count":437},{"language":"en","tag":"Partner Integrations","count":392},{"language":"ja","tag":"パートナー統合","count":383},{"language":"en","tag":"SDKs","count":342},{"language":"en","tag":"Developer Guide (SDKs)","count":331},{"language":"ja","tag":"SDK","count":308},{"language":"ja","tag":"開発者ガイド(SDK)","count":297},{"language":"en","tag":"Use Cases","count":218},{"language":"ja","tag":"ユースケース","count":218},{"language":"en","tag":"API Guide","count":185},{"language":"ja","tag":"APIガイド","count":183},{"language":"en","tag":"Endpoints","count":179},{"language":"ja","tag":"エンドポイント","count":177},{"language":"en","tag":"Release Notes","count":140},{"language":"ja","tag":"リリースノート","count":136}],"searchSettings":{"maxResults":8,"isFiltersEnabled":true}},"assistantConfig":{"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"deflection":{"enabled":false,"type":"email"}},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"69a03c84f0b21f38ae93fdfb","deploymentId":"68bea8f8fe02728a34cf2acf","questionText":"How do I track user events?","status":"active","generatedBy":"manual","createdAt":"2026-02-26T12:28:52.454Z","updatedAt":"2026-02-26T12:28:52.454Z","__v":0}],"privacy":{"consentBanner":{"enabled":true}},"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/docs/_mintlify/custom/moengage/0a209f0cf9e21c6c/style.css"}],"page":{"pagePath":"api/file-segments/create-file-segment","slug":"/api/file-segments/create-file-segment","pageMetadata":{"title":"Create File Segment","description":"This API creates a new file segment from a CSV file URL.","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml post /v2/custom-segments/file-segment","href":"/api/file-segments/create-file-segment","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This API creates a new file segment from a CSV file URL.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Note,Table}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`If your file is private, you should whitelist `,_jsx(_components.a,{href:`/user-guide/settings/account/security/ip-whitelisting-in-moengage`,children:`these IPs`}),` to provide access only to MoEngage for the file.`]}),`\n`,_jsx(_components.li,{children:`This API endpoint does not currently support Team-level scoping. All segments generated using this call will be assigned to the Default Team automatically.`}),`\n`]})}),`\n`,_jsx(Heading,{level:`4`,id:`rate-limits`,children:`Rate Limits`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Rate Limit Name`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Rate Limit`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:`total active segment`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The limit of the total number of active segments at a time for a client is 1000.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:`file_segment ops per hour`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The total number of file segment operations (create/add/remove) per hour per client allowed is 10.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:`file_segment ops per day`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The total number of file segment operations (create/add/remove) per day per client allowed is 100.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:`file_segment users per day`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The total number of users uploaded via the File segment is limited to 2 million per day. (This limit is customizable, contact the MoEngage Support team).`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:`file_size_limit`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The size of the file from which the segment is created/updated. For each request, the file size limit is 150 MB.`})]})]})]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Notes`})}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Breaching the limits will reject the request.`}),`\n`,_jsx(_components.li,{children:`Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.`}),`\n`,_jsx(_components.li,{children:`The limit of 1000 active segments is calculated across all types of ‘active segments’. Most of our customers utilise only 30-40% of this limit at any given point.`}),`\n`]})]}),`\n`,_jsx(Heading,{level:`4`,id:`csv-file-requirements`,children:`CSV File Requirements`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The attribute names should be separated by new lines.`}),`\n`,_jsx(_components.li,{children:`CSV should be a single column and less than 150MB.`}),`\n`,_jsxs(_components.li,{children:[`Values should not end with a comma (e.g., `,_jsx(_components.code,{children:`abcd`}),` not `,_jsx(_components.code,{children:`abcd,`}),`).`]}),`\n`,_jsxs(_components.li,{children:[`Values should not have duplicates or special characters (e.g., `,_jsx(_components.code,{children:`abcd`}),` not `,_jsx(_components.code,{children:`\"abcd\"`}),` or `,_jsx(_components.code,{children:`a#bc`}),`).`]}),`\n`,_jsx(_components.li,{children:`File should not have empty rows or columns.`}),`\n`,_jsx(_components.li,{children:`A user attribute value must uniquely identify a single user.`}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`https://app-cdn.moengage.com/assets/Sample_GAIDs.csv`,children:`Sample File Link`})}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`segment-processing-and-availability`,children:`Segment Processing and Availability`}),`\n`,_jsx(_components.p,{children:`As soon as the request is received at the MoEngage system, MoEngage creates a segment with zero users. After this, the file is downloaded, processed, and users are added to the segment. If the segment is queried during processing, it will show zero or partial user count.`}),`\n`,_jsx(_components.p,{children:`There is no fixed processing timeout. If the initial file download fails, MoEngage automatically retries before reporting a failure via the callback.`}),`\n`,_jsx(Heading,{level:`4`,id:`callback-payload`,children:`Callback Payload`}),`\n`,_jsxs(_components.p,{children:[`When file processing completes, MoEngage sends a `,_jsx(_components.code,{children:`POST`}),` request to your `,_jsx(_components.code,{children:`callback_url`}),`. Your server must return an HTTP `,_jsx(_components.code,{children:`200`}),` to acknowledge receipt.`]}),`\n`,_jsx(_components.p,{children:`The payload structure depends on the processing outcome.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Success (status: 201)`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Field`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Type`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`db_name`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The MoEngage database name for your workspace.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`segment_name`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The name of the processed segment.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`request_id`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Unique identifier for this processing request.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`status`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[_jsx(_components.code,{children:`201`}),` on successful processing.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`values_found`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Number of rows present in the uploaded file.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`values_processed`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Number of values processed from `,_jsx(_components.code,{children:`values_found`}),`. Values with corrupted or empty data are skipped.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`user_count`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Number of users found in MoEngage from the processed values and added to the segment.`})]})]})]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Failure (status: 400 or 500)`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:`Field`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Type`}),_jsx(_components.th,{style:{textAlign:`left`},children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`db_name`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The MoEngage database name for your workspace.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`segment_name`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`The name of the segment for which processing failed.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`request_id`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Unique identifier for this processing request.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`status`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`integer`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[_jsx(_components.code,{children:`400`}),` for client errors (for example, file too large, download failed), `,_jsx(_components.code,{children:`500`}),` for server errors.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`error_message`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Description of what caused the processing to fail.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create File Segment","description":"This API creates a new file segment from a CSV file URL.","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml post /v2/custom-segments/file-segment","href":"/api/file-segments/create-file-segment","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Rate Limits","slug":"rate-limits","depth":4,"children":[]},{"title":"CSV File Requirements","slug":"csv-file-requirements","depth":4,"children":[]},{"title":"Segment Processing and Availability","slug":"segment-processing-and-availability","depth":4,"children":[]},{"title":"Callback Payload","slug":"callback-payload","depth":4,"children":[]}],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/moengage/992523b3cb2256cd/script.js"],"openApiReferenceData":{"operation":{"tags":["File Segments"],"summary":"Create File Segment","description":"This API creates a new file segment from a CSV file URL.","operationId":"createFileSegment","parameters":["bc7832b4-eaa0-4b4b-99f6-3f0d65bda41d"],"x-mint":{"content":"\u003cNote>\n- If your file is private, you should whitelist [these IPs](/user-guide/settings/account/security/ip-whitelisting-in-moengage) to provide access only to MoEngage for the file.\n- This API endpoint does not currently support Team-level scoping. All segments generated using this call will be assigned to the Default Team automatically.\n\u003c/Note>\n\n\n#### Rate Limits\n\n| Rate Limit Name | Rate Limit |\n| :--- | :--- |\n| total active segment | The limit of the total number of active segments at a time for a client is 1000. |\n| file_segment ops per hour | The total number of file segment operations (create/add/remove) per hour per client allowed is 10. |\n| file_segment ops per day | The total number of file segment operations (create/add/remove) per day per client allowed is 100. |\n| file_segment users per day | The total number of users uploaded via the File segment is limited to 2 million per day. (This limit is customizable, contact the MoEngage Support team). |\n| file_size_limit | The size of the file from which the segment is created/updated. For each request, the file size limit is 150 MB. |\n\n \u003cNote>\n **Notes**\n * Breaching the limits will reject the request.\n * Per hour and per day limits will consider the calculation based on the last hour and last 24 hrs respectively.\n * The limit of 1000 active segments is calculated across all types of 'active segments'. Most of our customers utilise only 30-40% of this limit at any given point.\n \u003c/Note>\n \n #### CSV File Requirements\n * The attribute names should be separated by new lines.\n * CSV should be a single column and less than 150MB.\n * Values should not end with a comma (e.g., `abcd` not `abcd,`).\n * Values should not have duplicates or special characters (e.g., `abcd` not `\"abcd\"` or `a#bc`).\n * File should not have empty rows or columns.\n * A user attribute value must uniquely identify a single user.\n * [Sample File Link](https://app-cdn.moengage.com/assets/Sample_GAIDs.csv)\n\n #### Segment Processing and Availability\n\n As soon as the request is received at the MoEngage system, MoEngage creates a segment with zero users. After this, the file is downloaded, processed, and users are added to the segment. If the segment is queried during processing, it will show zero or partial user count.\n\n There is no fixed processing timeout. If the initial file download fails, MoEngage automatically retries before reporting a failure via the callback.\n\n #### Callback Payload\n\n When file processing completes, MoEngage sends a `POST` request to your `callback_url`. Your server must return an HTTP `200` to acknowledge receipt.\n\n The payload structure depends on the processing outcome.\n\n **Success (status: 201)**\n\n | Field | Type | Description |\n | :--- | :--- | :--- |\n | `db_name` | string | The MoEngage database name for your workspace. |\n | `segment_name` | string | The name of the processed segment. |\n | `request_id` | string | Unique identifier for this processing request. |\n | `status` | integer | `201` on successful processing. |\n | `values_found` | integer | Number of rows present in the uploaded file. |\n | `values_processed` | integer | Number of values processed from `values_found`. Values with corrupted or empty data are skipped. |\n | `user_count` | integer | Number of users found in MoEngage from the processed values and added to the segment. |\n\n **Failure (status: 400 or 500)**\n\n | Field | Type | Description |\n | :--- | :--- | :--- |\n | `db_name` | string | The MoEngage database name for your workspace. |\n | `segment_name` | string | The name of the segment for which processing failed. |\n | `request_id` | string | Unique identifier for this processing request. |\n | `status` | integer | `400` for client errors (for example, file too large, download failed), `500` for server errors. |\n | `error_message` | string | Description of what caused the processing to fail. |\n"},"requestBody":"34402ef0-d5e4-4132-aef9-70865a1d8143","responses":{"202":"a7b6ede4-e0d6-4311-8d0b-c9224f0b00d3","400":"d9acd78b-e8c0-4fc9-a123-7c75f4b40ca6","401":"eea81f9d-1fe3-4359-af16-be64bb8e32ca","409":"2274860d-c2c4-499e-ad4f-d2060b7661a4","429":"e36f7809-02f7-49d6-995b-2a3b6ddc44dd","500":"f8eeb449-be00-4534-ab4b-60a98474f7b4"},"callbacks":{"segmentCreationCallback":"e0bdf121-6ddf-43c0-bcc4-fa70c0d2f9f8"},"method":"post","type":"path","servers":["5004787d-21ff-4c96-ae9a-83835f2f690a"],"security":["35a7ca52-468f-428e-ad99-8267ec1eb60a"],"path":"/v2/custom-segments/file-segment","baseUrlOptions":["https://api-{dc}.moengage.com"],"title":"Create File Segment","codeSamples":[],"requestExampleLanguages":["bash"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"bc7832b4-eaa0-4b4b-99f6-3f0d65bda41d":{"name":"MOE-DBNAME","in":"header","description":"The MoEngage database name (`db_name`) from which the data is available.","required":true,"schema":{"type":"string","isRequired":true,"description":"The MoEngage database name (`db_name`) from which the data is available.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"description":"Configuration for the new file segment.","required":true,"content":{"application/json":{"schema":{"type":"object","description":"Schema for creating a new file segment.","required":["expiry_time","name","attribute_name","attribute_type","file_url"],"properties":{"name":{"type":"string","description":"Name of the segment. Must be unique for creation.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"attribute_name":{"type":"string","description":"Name of the user attribute to use as an identifier (e.g., 'ID', 'email').","isRequired":true,"uniqueKey":"attribute_name","typeLabel":"string"},"attribute_type":{"type":"string","description":"The data type of the attribute_name.","enum":["string","double"],"isRequired":true,"uniqueKey":"attribute_type","typeLabel":"enum\u003cstring>"},"file_url":{"type":"string","format":"uri","description":"A public, downloadable URL to a single-column CSV file.","isRequired":true,"uniqueKey":"file_url","typeLabel":"string\u003curi>"},"expiry_time":{"type":"integer","format":"int32","maximum":365,"description":"Segment expiry time in days. The maximum value is 365. When the expiry time is reached, all users are dropped from the segment and the segment is archived.","isRequired":true,"uniqueKey":"expiry_time","typeLabel":"integer\u003cint32>"},"callback_url":{"type":"string","format":"uri","description":"Callback URL to receive the result of segment processing.","uniqueKey":"callback_url","typeLabel":"string\u003curi>"},"emails":{"type":"array","items":{"type":"string","format":"email","uniqueKey":"emails.items.[INDEX]","typeLabel":"string\u003cemail>"},"description":"List of email IDs to receive segment processing response.","uniqueKey":"emails","typeLabel":"string\u003cemail>[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"name":"custom_segment_unique_name","attribute_name":"unique_identifier","attribute_type":"string","file_url":"https://s3.amazonaws.com/Sample_GAIDs.csv","callback_url":"http://example.com/moengage-callback","emails":["[email protected]","[email protected]"],"expiry_time":30},"examples":{"Example":{"title":"Example","value":{"name":"custom_segment_unique_name","attribute_name":"unique_identifier","attribute_type":"string","file_url":"https://s3.amazonaws.com/Sample_GAIDs.csv","callback_url":"http://example.com/moengage-callback","emails":["[email protected]","[email protected]"],"expiry_time":30}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"a7b6ede4-e0d6-4311-8d0b-c9224f0b00d3":{"description":"Request accepted for processing.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"API Response","description":"Response returned when a file segment request is accepted for processing.","properties":{"message":{"type":"string","description":"The status message of the request.","uniqueKey":"oneOf.0.message","typeLabel":"string"},"success":{"type":"boolean","example":true,"description":"Indicates if the request was accepted.","uniqueKey":"oneOf.0.success","typeLabel":"boolean"},"cs_name":{"type":"string","description":"The unique name of the segment being processed.","uniqueKey":"oneOf.0.cs_name","typeLabel":"string"},"cs_id":{"type":"string","description":"The unique identifier of the segment being processed.","uniqueKey":"oneOf.0.cs_id","typeLabel":"string"}},"uniqueKey":"oneOf.0","typeLabel":"API Response · object"},{"type":"object","title":"Processing Callback","description":"The payload sent to the callback URL. The structure depends on the processing status.","properties":{"db_name":{"type":"string","description":"The database name.","example":"test_db","uniqueKey":"oneOf.1.db_name","typeLabel":"string"},"segment_name":{"type":"string","description":"The name of the segment.","example":"test_segment_name","uniqueKey":"oneOf.1.segment_name","typeLabel":"string"},"request_id":{"type":"string","description":"The unique ID of the request.","example":"d5a263c4ef1198ae3d8496c0460f570f","uniqueKey":"oneOf.1.request_id","typeLabel":"string"},"status":{"type":"integer","description":"The HTTP status code indicating the outcome (e.g., 201 for success, 400/500 for failure).","example":201,"uniqueKey":"oneOf.1.status","typeLabel":"integer"},"values_found":{"type":"integer","description":"(Success only) Number of rows present in the uploaded file.","uniqueKey":"oneOf.1.values_found","typeLabel":"integer"},"values_processed":{"type":"integer","description":"(Success only) Number of values processed from values_found. Values with corrupted or empty data are skipped.","uniqueKey":"oneOf.1.values_processed","typeLabel":"integer"},"user_count":{"type":"integer","description":"(Success only) Number of users found in MoEngage from the processed values and added to the segment.","uniqueKey":"oneOf.1.user_count","typeLabel":"integer"},"error_message":{"type":"string","description":"(Failure only) A description of the error.","uniqueKey":"oneOf.1.error_message","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"Processing Callback · object"}],"uniqueKey":"","typeLabel":"API Response · object | Processing Callback · object"},"examples":{"api_response":{"title":"api_response","summary":"API Response - Success","description":"Immediate response from the API when the request is accepted.","value":{"message":"File-segment creation request accepted","success":true,"cs_name":"custom_segment_unique_name","cs_id":"6a1d8c3292d59351fe910b13"}},"callback_success":{"title":"callback_success","summary":"Callback - Success","description":"Callback sent to your callback_url when segment processing completes successfully.","value":{"db_name":"test_db","segment_name":"test_segment_name","request_id":"d5a263c4ef1198ae3d8496c0460f570f","values_found":80,"values_processed":70,"user_count":60,"status":201}}},"exampleType":"examples"}},"exampleType":"examples"},"d9acd78b-e8c0-4fc9-a123-7c75f4b40ca6":{"description":"Bad Request. Request not accepted due to missing a required parameter. The reason is passed in the description field.","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"A short title for the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"A detailed, human-readable explanation of the error.","uniqueKey":"description","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"title":"Invalid request","description":"expiry_time - Field is required but value is None : None"},"examples":{"Example":{"title":"Example","value":{"title":"Invalid request","description":"expiry_time - Field is required but value is None : None"}}},"exampleType":"examples"}},"exampleType":"examples"},"eea81f9d-1fe3-4359-af16-be64bb8e32ca":{"description":"Unauthorized. Authentication or Authorization Failure.","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"A short title for the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"A detailed, human-readable explanation of the error.","uniqueKey":"description","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"title":"Authentication required","description":"APP_SECRET key mismatch. Please login to the dashboard to verify key"},"examples":{"Example":{"title":"Example","value":{"title":"Authentication required","description":"APP_SECRET key mismatch. Please login to the dashboard to verify key"}}},"exampleType":"examples"}},"exampleType":"examples"},"2274860d-c2c4-499e-ad4f-d2060b7661a4":{"description":"Conflict. File-segment creation attempt with duplicate name.","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"A short title for the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"A detailed, human-readable explanation of the error.","uniqueKey":"description","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"title":"Resource not created","description":"Name already exists: custom_segment_unique_name"},"examples":{"Example":{"title":"Example","value":{"title":"Resource not created","description":"Name already exists: custom_segment_unique_name"}}},"exampleType":"examples"}},"exampleType":"examples"},"e36f7809-02f7-49d6-995b-2a3b6ddc44dd":{"description":"Too Many Requests. The number or rate of requests exceeds the allowed limit.","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"A short title for the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"A detailed, human-readable explanation of the error.","uniqueKey":"description","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"title":"Too Many Requests","description":"File segment operations limit breached. Please retry after some time."},"examples":{"Example":{"title":"Example","value":{"title":"Too Many Requests","description":"File segment operations limit breached. Please retry after some time."}}},"exampleType":"examples"}},"exampleType":"examples"},"f8eeb449-be00-4534-ab4b-60a98474f7b4":{"description":"Server Errors. Something went wrong on MoEngage.","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"A short title for the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"A detailed, human-readable explanation of the error.","uniqueKey":"description","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"title":"Internal Server Error"},"examples":{"Example":{"title":"Example","value":{"title":"Internal Server Error"}}},"exampleType":"examples"}},"exampleType":"examples"}},"callbacks":[{"callbackName":"segmentCreationCallback","expression":"{$request.body#/callback_url}","method":"post","resolved":{"operation":{"summary":"Segment Processing Callback (v2)","description":"A webhook sent to your `callback_url` when a v2 file segment processing job is complete.","requestBody":"2027271d-5c64-4868-a0ac-990d38487082","responses":{"200":"a7e1112e-f0e9-4f35-8532-4e9ea21939ed"},"method":"post","type":"path"},"dependencies":{"parameters":{},"requestBody":{"description":"Result of the segment processing job.","required":true,"content":{"application/json":{"schema":{"title":"Processing Callback","type":"object","description":"The payload sent to the callback URL. The structure depends on the processing status.","properties":{"db_name":{"type":"string","description":"The database name.","example":"test_db","uniqueKey":"db_name","typeLabel":"string"},"segment_name":{"type":"string","description":"The name of the segment.","example":"test_segment_name","uniqueKey":"segment_name","typeLabel":"string"},"request_id":{"type":"string","description":"The unique ID of the request.","example":"d5a263c4ef1198ae3d8496c0460f570f","uniqueKey":"request_id","typeLabel":"string"},"status":{"type":"integer","description":"The HTTP status code indicating the outcome (e.g., 201 for success, 400/500 for failure).","example":201,"uniqueKey":"status","typeLabel":"integer"},"values_found":{"type":"integer","description":"(Success only) Number of rows present in the uploaded file.","uniqueKey":"values_found","typeLabel":"integer"},"values_processed":{"type":"integer","description":"(Success only) Number of values processed from values_found. Values with corrupted or empty data are skipped.","uniqueKey":"values_processed","typeLabel":"integer"},"user_count":{"type":"integer","description":"(Success only) Number of users found in MoEngage from the processed values and added to the segment.","uniqueKey":"user_count","typeLabel":"integer"},"error_message":{"type":"string","description":"(Failure only) A description of the error.","uniqueKey":"error_message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"Processing Callback · object"},"examples":{"success":{"title":"success","summary":"Success","description":"Sent when segment processing completes successfully.","value":{"db_name":"test_db","segment_name":"test_segment_name","request_id":"d5a263c4ef1198ae3d8496c0460f570f","values_found":80,"values_processed":70,"user_count":60,"status":201}},"file_size_failure":{"title":"file_size_failure","summary":"Failure (File Size)","description":"Sent when the file size exceeds the limit.","value":{"db_name":"test_db","segment_name":"test_segment_name","request_id":"d5a263c4ef1198ae3d8496c0460f570f","status":400,"error_message":"File size cannot be greater than 150MB. Created custom_segment contains 0 users."}},"download_failure":{"title":"download_failure","summary":"Failure (Download Failed)","description":"Sent when the file download fails.","value":{"db_name":"test_db","segment_name":"test_segment_name","request_id":"d5a263c4ef1198ae3d8496c0460f570f","status":400,"error_message":"File download failed. Created custom_segment contains 0 users."}},"internal_error":{"title":"internal_error","summary":"Failure (Internal Server Error)","description":"Sent when segment processing encounters an internal error.","value":{"db_name":"test_db","segment_name":"test_segment_name","request_id":"d5a263c4ef1198ae3d8496c0460f570f","status":500,"error_message":"Internal Server Error. Contact MoEngage Team."}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"a7e1112e-f0e9-4f35-8532-4e9ea21939ed":{"description":"OK. Acknowledges receipt of the callback. Your endpoint should return this.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{}}}}],"security":{"35a7ca52-468f-428e-ad99-8267ec1eb60a":{"basicAuth":{"type":"http","scheme":"basic","description":"Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.\n\n- **Username**: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at **Settings** > **Account** > **APIs** > **Workspace ID (earlier app id)**.\n- **Password**: Use your API Key, which you can find within the **Data** tile.\n\nFor more information on authentication and getting your credentials, refer [here](https://www.moengage.com/docs/api/introduction#getting-your-credentials).\n","scopes":[],"schemeName":"basicAuth"}}},"servers":{"5004787d-21ff-4c96-ae9a-83835f2f690a":{"url":"https://api-{dc}.moengage.com","description":"MoEngage API Endpoint","variables":{"dc":{"description":"The ‘dc’ in the API Endpoint URL refers to the MoEngage Data Center (DC). MoEngage hosts each customer in a different DC. You can find your DC number and replace the value of ‘dc’ in the URL by referring to the DC and API endpoint mapping [here](/api/introduction#data-centers). Your MoEngage Data Center (DC) can be 01, 02, 03, 04, 05, 06, or 101.","default":"01"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"basic","description":"Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.\n\n- **Username**: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at **Settings** > **Account** > **APIs** > **Workspace ID (earlier app id)**.\n- **Password**: Use your API Key, which you can find within the **Data** tile.\n\nFor more information on authentication and getting your credentials, refer [here](https://www.moengage.com/docs/api/introduction#getting-your-credentials).\n","scopes":[],"schemeName":"basicAuth"},"schema":{"title":"Basic Auth","type":"object","description":"Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.\n\n- **Username**: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at **Settings** > **Account** > **APIs** > **Workspace ID (earlier app id)**.\n- **Password**: Use your API Key, which you can find within the **Data** tile.\n\nFor more information on authentication and getting your credentials, refer [here](https://www.moengage.com/docs/api/introduction#getting-your-credentials).\n","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"basicAuth","name":"Authorization"}],"title":"basicAuth"}]},"originalFileLocation":"api/custom-segments/custom-segments.yaml"},"subdomain":"moengage","siteName":"MoEngage","title":"Create File Segment - MoEngage","relatedPagesConfig":{"enabled":false,"limit":3,"mode":"manual"},"contextualStarterQuestions":[{"_id":"69b015b57104f9460ee445db","deploymentId":"68bea8f8fe02728a34cf2acf","questionText":"What are file segment rate limits?","status":"active","generatedBy":"contextual","path":"api/file-segments/create-file-segment","createdAt":"2026-03-10T12:59:33.037Z","updatedAt":"2026-03-10T12:59:33.037Z","__v":0},{"_id":"69b015b57104f9460ee445dc","deploymentId":"68bea8f8fe02728a34cf2acf","questionText":"How should my CSV file be formatted?","status":"active","generatedBy":"contextual","path":"api/file-segments/create-file-segment","createdAt":"2026-03-10T12:59:33.037Z","updatedAt":"2026-03-10T12:59:33.037Z","__v":0},{"_id":"69b015b57104f9460ee445dd","deploymentId":"68bea8f8fe02728a34cf2acf","questionText":"What CSV file size is allowed?","status":"active","generatedBy":"contextual","path":"api/file-segments/create-file-segment","createdAt":"2026-03-10T12:59:33.037Z","updatedAt":"2026-03-10T12:59:33.037Z","__v":0}],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api/file-segments/create-file-segment","matchLevel":0},"ja":{"href":"/ja/api/file-segments/create-file-segment","matchLevel":1}}},"lastModified":"2026-10-07T05:53:49.381Z","originalFileLocation":"api/file-segments/create-file-segment.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This API creates a new file segment from a CSV file URL.\">\u003cmeta data-mint-head name=\"application-name\" content=\"MoEngage\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create File Segment - MoEngage\">\u003cmeta data-mint-head property=\"og:description\" content=\"This API creates a new file segment from a CSV file URL.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"MoEngage\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://moengage.com/docs/api/file-segments/create-file-segment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://moengage.mintlify.site/docs/_mintlify/api/og/v2?division=File+Segments\u0026amp;title=Create+File+Segment\u0026amp;description=This+API+creates+a+new+file+segment+from+a+CSV+file+URL.\u0026amp;theme=f5f8670d2a6207083c52605d\u0026amp;signature=a9d0b28842c66906d65409e3bbe9536760ae67e186f4628d72be1e3f0218992a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create File Segment - MoEngage\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This API creates a new file segment from a CSV file URL.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://moengage.mintlify.site/docs/_mintlify/api/og/v2?division=File+Segments\u0026amp;title=Create+File+Segment\u0026amp;description=This+API+creates+a+new+file+segment+from+a+CSV+file+URL.\u0026amp;theme=f5f8670d2a6207083c52605d\u0026amp;signature=a9d0b28842c66906d65409e3bbe9536760ae67e186f4628d72be1e3f0218992a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/moengage/FFhO5ttvrbE72kxs/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"MoEngage\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2E69FF\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"ICNaPDX9oefbF09W1b5_U9PDnlkyfyKSRbIap6_dW6o\">\u003clink data-mint-head rel=\"canonical\" href=\"https://moengage.com/docs/api/file-segments/create-file-segment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api/file-segments/create-file-segment.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://moengage.com/docs/api/file-segments/create-file-segment\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://moengage.com/docs/ja/api/file-segments/create-file-segment\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://moengage.com/docs/api/file-segments/create-file-segment\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://moengage.com/#organization\",\"name\":\"MoEngage\",\"url\":\"https://moengage.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/moengage/VG5pJbeZsDUmdCZM/logo/light.svg?fit=max\u0026auto=format\u0026n=VG5pJbeZsDUmdCZM\u0026q=85\u0026s=28ca5909311cb6ffe01738e1503b5e64\"}},{\"@type\":\"WebSite\",\"@id\":\"https://moengage.com/docs#website\",\"name\":\"MoEngage\",\"url\":\"https://moengage.com/docs\",\"publisher\":{\"@id\":\"https://moengage.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://moengage.com/docs/api/file-segments/create-file-segment#webpage\",\"url\":\"https://moengage.com/docs/api/file-segments/create-file-segment\",\"name\":\"Create File Segment\",\"description\":\"This API creates a new file segment from a CSV file URL.\",\"dateModified\":\"2026-10-07T05:53:49.381Z\",\"isPartOf\":{\"@id\":\"https://moengage.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://moengage.com/docs/api/file-segments/create-file-segment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://moengage.com/docs/api/file-segments/create-file-segment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://moengage.com/docs/api/data/data-overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Segments\",\"item\":\"https://moengage.com/docs/api/custom-segments/custom-segments-overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create File Segment\",\"item\":\"https://moengage.com/docs/api/file-segments/create-file-segment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://moengage.com/docs/api/file-segments/create-file-segment#apireference\",\"headline\":\"Create File Segment\",\"name\":\"Create File Segment\",\"description\":\"This API creates a new file segment from a CSV file URL.\",\"url\":\"https://moengage.com/docs/api/file-segments/create-file-segment\",\"mainEntityOfPage\":{\"@id\":\"https://moengage.com/docs/api/file-segments/create-file-segment#webpage\"},\"dateModified\":\"2026-10-07T05:53:49.381Z\",\"publisher\":{\"@id\":\"https://moengage.com/#organization\"},\"isPartOf\":{\"@id\":\"https://moengage.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"MoEngage\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"MoEngage\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api/file-segments/create-file-segment.md","siteName":"MoEngage","nav":{"global":null,"languages":[{"language":"en","tabs":[{"tab":"Home","pages":[{"title":"Home","href":""}]},{"tab":"User Guide","pages":[{"title":"User Guide","href":"/user-guide/introduction"}]},{"tab":"Developer Guide (SDKs)","pages":[{"title":"Developer Guide (SDKs)","href":"/developer-guide/introduction"}]},{"tab":"API Guide","groups":[{"group":"API Documentation","pages":[{"title":"API Documentation","sidebarTitle":"Overview","icon":"rocket","href":"/api/introduction"},{"group":"Authentication","icon":"key","pages":[{"group":"OAuth 2.0","pages":[{"title":"OAuth 2.0 Overview","icon":"file-magnifying-glass","href":"/api/oauth/oauth-overview"},{"title":"Generate Access Token","deprecated":null,"version":null,"openapi":"/api/oauth/oauth.yaml post /v1/oauth/token","href":"/api/oauth/generate-access-token"},{"title":"Refresh Access Token","deprecated":null,"version":null,"openapi":"/api/oauth/oauth.yaml post /v1/oauth/refresh","href":"/api/oauth/refresh-access-token"}]},{"title":"AWS STS Auth","href":"/api/aws-sts/aws-sts-overview"}]},{"title":"Rate Limits","icon":"gauge","href":"/api/rate-limits"}]},{"group":"Endpoints","icon":"code","pages":[{"group":"Data","icon":"database","pages":[{"title":"Data Overview","icon":"file-magnifying-glass","href":"/api/data/data-overview"},{"group":"User","icon":"user","pages":[{"title":"Track User","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /customer/{app_id}","href":"/api/user/track-user"},{"title":"Get User","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /customers/export","href":"/api/user/get-user"},{"title":"Merge Users","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /customer/merge","href":"/api/user/merge-users"},{"title":"Delete Users","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /customer/delete","href":"/api/user/delete-users"}]},{"group":"Event","icon":"calendar","pages":[{"title":"Track Event","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /event/{Workspace_ID}","href":"/api/event/track-event"}]},{"group":"Bulk","icon":"layer-group","pages":[{"title":"Bulk Import Users and Events","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /transition/{Workspace_ID}","href":"/api/bulk/bulk-import-users-and-events"}]},{"group":"Device","icon":"mobile","pages":[{"title":"Track Device","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /device/{app_id}","href":"/api/device/track-device"},{"title":"Device Opt-out","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /devices/manage","href":"/api/device/device-opt-out"}]},{"group":"File Import","icon":"file-import","pages":[{"title":"File Import Overview","icon":"file-magnifying-glass","href":"/api/data/file-import-overview"},{"title":"Trigger File Imports","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /fileimports/trigger/{schedule_id}","href":"/api/file-import/trigger-file-imports"},{"title":"Import Details","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /fileimports/import/status","href":"/api/file-import/import-details"},{"title":"Import File Run History","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /fileimports/import/run/history","href":"/api/file-import/import-file-run-history"}]},{"group":"Tracking","icon":"chart-line","pages":[{"title":"Track App Install","deprecated":null,"version":null,"openapi":"/api/data/data.yaml get /installInfo","href":"/api/tracking/track-app-install"}]},{"group":"Utilities","icon":"wrench","pages":[{"title":"Test Connection API","deprecated":null,"version":null,"openapi":"/api/data/data.yaml post /integrations/authentication","href":"/api/utilities/test-connection-api"}]},{"title":"Streams","icon":"webhook","href":"/api/data/moengage-streams"},{"group":"GDPR/CCPA","icon":"shield-check","pages":[{"title":"GDPR or CCPA Overview","icon":"file-magnifying-glass","href":"/api/gdpr-ccpa/gdpr-ccpa-overview"},{"title":"Submit a GDPR / CCPA Data Request","deprecated":null,"version":null,"openapi":"/api/gdpr-ccpa/gdpr-ccpa.yaml post /opengdpr_requests/{appId}","href":"/api/gdpr/submit-a-gdpr-ccpa-data-request"}]}]},{"group":"Business Events","icon":"calendar-check","pages":[{"group":"Business Events (V5)","icon":"bolt","pages":[{"title":"Business Events API (V5): Overview","icon":"bolt","href":"/api/business-events/business-events-v5/business-events-v5-overview"},{"title":"Trigger Business Event (V5)","deprecated":null,"version":null,"openapi":"/api/business-events/business-events-v5/business-events-v5.yaml post /v5/business-events/triggers","href":"/api/business-events/trigger-business-event-v5"},{"title":"List Business Events","deprecated":null,"version":null,"openapi":"/api/business-events/business-events-v5/business-events-v5.yaml get /v5/business-events","href":"/api/business-events/list-business-events"},{"title":"Search Business Events (V5)","deprecated":null,"version":null,"openapi":"/api/business-events/business-events-v5/business-events-v5.yaml post /v5/business-events/search","href":"/api/business-events/search-business-events-v5"}]},{"group":"Business Events (Legacy)","icon":"clock-rotate-left","pages":[{"title":"Business Events API (Legacy): Overview","icon":"clock-rotate-left","href":"/api/business-events/business-events-legacy/business-events-overview"},{"title":"Create Business Event","deprecated":null,"version":null,"openapi":"/api/business-events/business-events-legacy/business-events.yaml post /business_event","href":"/api/business-events/create-business-event"},{"title":"Trigger Business Event","deprecated":null,"version":null,"openapi":"/api/business-events/business-events-legacy/business-events.yaml post /business_event/trigger","href":"/api/business-events/trigger-business-event"},{"title":"Search Business Events","deprecated":null,"version":null,"openapi":"/api/business-events/business-events-legacy/business-events.yaml post /business_event/search","href":"/api/business-events/search-business-events"}]}]},{"group":"Content","icon":"file-lines","pages":[{"group":"Templates","icon":"rectangle-list","pages":[{"group":"Custom In-App Templates","icon":"mobile-screen","pages":[{"title":"In-app Templates Overview","icon":"file-magnifying-glass","href":"/api/in-app-templates/in-app-templates-overview"},{"title":"Create In-app Template","deprecated":null,"version":null,"openapi":"/api/in-app-templates/in-app-templates.yaml post /custom-templates/inapp","href":"/api/in-app-templates/create-in-app-template"},{"title":"Update In-app Template","deprecated":null,"version":null,"openapi":"/api/in-app-templates/in-app-templates.yaml put /custom-templates/inapp","href":"/api/in-app-templates/update-in-app-template"},{"title":"Search In-app Templates","deprecated":null,"version":null,"openapi":"/api/in-app-templates/in-app-templates.yaml post /custom-templates/inapp/search","href":"/api/in-app-templates/search-in-app-templates"}]},{"group":"Custom OSM Templates","icon":"window-restore","pages":[{"title":"OSM Templates Overview","icon":"file-magnifying-glass","href":"/api/osm-templates/osm-templates-overview"},{"title":"Create OSM Template","deprecated":null,"version":null,"openapi":"/api/osm-templates/osm-templates.yaml post /custom-templates/osm","href":"/api/osm-templates/create-osm-template"},{"title":"Update OSM Template","deprecated":null,"version":null,"openapi":"/api/osm-templates/osm-templates.yaml put /custom-templates/osm","href":"/api/osm-templates/update-osm-template"},{"title":"Search OSM Templates","deprecated":null,"version":null,"openapi":"/api/osm-templates/osm-templates.yaml post /custom-templates/osm/search","href":"/api/osm-templates/search-osm-templates"}]},{"group":"Custom SMS Templates","icon":"comment-sms","pages":[{"title":"SMS Templates Overview","icon":"file-magnifying-glass","href":"/api/sms-templates/sms-templates-overview"},{"title":"Create SMS Template","deprecated":null,"version":null,"openapi":"/api/sms-templates/sms-templates.yaml post /custom-templates/sms","href":"/api/sms-templates/create-sms-template"},{"title":"Update SMS Template","deprecated":null,"version":null,"openapi":"/api/sms-templates/sms-templates.yaml put /custom-templates/sms","href":"/api/sms-templates/update-sms-template"},{"title":"Search SMS Templates","deprecated":null,"version":null,"openapi":"/api/sms-templates/sms-templates.yaml post /custom-templates/sms/search","href":"/api/sms-templates/search-sms-templates"}]},{"group":"Custom Email Templates V1","icon":"envelope-open-text","pages":[{"title":"Email Templates (V1) Overview","icon":"file-magnifying-glass","href":"/api/email-templates-1/email-templates-1-overview"},{"title":"Create Email Template (V1)","deprecated":null,"version":null,"openapi":"/api/email-templates-1/email-templates-1.yaml post /email-templates","href":"/api/email-templates/create-email-template-v1"},{"title":"Get All Templates","deprecated":null,"version":null,"openapi":"/api/email-templates-1/email-templates-1.yaml get /email-templates","href":"/api/email-templates/get-all-templates"},{"title":"Get Specific Template","deprecated":null,"version":null,"openapi":"/api/email-templates-1/email-templates-1.yaml get /email-templates/{id}","href":"/api/email-templates/get-specific-template"},{"title":"Update Specific Template","deprecated":null,"version":null,"openapi":"/api/email-templates-1/email-templates-1.yaml put /email-templates/{id}","href":"/api/email-templates/update-specific-template"},{"title":"Bulk Create/Update Templates","deprecated":null,"version":null,"openapi":"/api/email-templates-1/email-templates-1.yaml put /bulk/email-templates","href":"/api/email-templates/bulk-createupdate-templates"}]},{"group":"Custom Email Templates V2","icon":"envelope","pages":[{"title":"Email Templates (V2) Overview","icon":"file-magnifying-glass","href":"/api/email-templates-2/email-templates-2-overview"},{"title":"Create Email Template (V2)","deprecated":null,"version":null,"openapi":"/api/email-templates-2/email-templates-2.yaml post /custom-templates/email","href":"/api/email-templates/create-email-template-v2"},{"title":"Search Email Template","deprecated":null,"version":null,"openapi":"/api/email-templates-2/email-templates-2.yaml post /custom-templates/email/search","href":"/api/email-templates/search-email-template"},{"title":"Update Email Template","deprecated":null,"version":null,"openapi":"/api/email-templates-2/email-templates-2.yaml put /custom-templates/email","href":"/api/email-templates/update-email-template"}]},{"group":"Custom Push Templates","icon":"bell","pages":[{"title":"Push Templates Overview","icon":"file-magnifying-glass","href":"/api/push-templates/push-templates-overview"},{"title":"Create Push Template","deprecated":null,"version":null,"openapi":"/api/push-templates/push-templates.yaml post /custom-templates/push","href":"/api/templates/create-push-template"},{"title":"Update Push Template","deprecated":null,"version":null,"openapi":"/api/push-templates/push-templates.yaml put /custom-templates/push","href":"/api/templates/update-push-template"},{"title":"Search for Push Templates","deprecated":null,"version":null,"openapi":"/api/push-templates/push-templates.yaml post /custom-templates/push/search","href":"/api/templates/search-for-push-templates"}]}]},{"group":"Content Blocks","icon":"cubes","pages":[{"title":"Content Blocks Overview","icon":"file-magnifying-glass","href":"/api/content-blocks/content-blocks-overview"},{"title":"Create Content Block","deprecated":null,"version":null,"openapi":"/api/content-blocks/content-blocks.yaml post /content-blocks","href":"/api/content-blocks/create-content-block"},{"title":"Update Content Block","deprecated":null,"version":null,"openapi":"/api/content-blocks/content-blocks.yaml put /content-blocks","href":"/api/content-blocks/update-content-block"},{"title":"Get Specific Content Blocks","deprecated":null,"version":null,"openapi":"/api/content-blocks/content-blocks.yaml post /content-blocks/get-by-ids","href":"/api/content-blocks/get-specific-content-blocks"},{"title":"Search Content Blocks","deprecated":null,"version":null,"openapi":"/api/content-blocks/content-blocks.yaml post /content-blocks/search","href":"/api/content-blocks/search-content-blocks"}]},{"group":"Content APIs","icon":"plug","pages":[{"title":"Content APIs Overview","icon":"file-magnifying-glass","href":"/api/content-apis/content-apis-overview"},{"title":"List Content APIs","deprecated":null,"version":null,"openapi":"/api/content-apis/content-apis.yaml get /v5/content-apis","href":"/api/content-apis/list-content-apis"},{"title":"Test Content API","deprecated":null,"version":null,"openapi":"/api/content-apis/content-apis.yaml post /v5/content-apis/{id}/test","href":"/api/content-apis/test-content-api"}]},{"group":"Locales","icon":"language","pages":[{"title":"Locales Overview","icon":"file-magnifying-glass","href":"/api/locales/locales-overview"},{"title":"List Locales","deprecated":null,"version":null,"openapi":"/api/locales/locales.yaml get /v5/locales","href":"/api/locales/list-locales"}]},{"group":"Recommendations","icon":"wand-magic-sparkles","pages":[{"title":"Recommendations Overview","icon":"file-magnifying-glass","href":"/api/recommendations/recommendations-overview"},{"title":"Fetch All Recommendations","deprecated":null,"version":null,"openapi":"/api/recommendations/recommendations.yaml get /recommendations","href":"/api/recommendations/fetch-all-recommendations"},{"title":"Fetch Recommendation Details","deprecated":null,"version":null,"openapi":"/api/recommendations/recommendations.yaml get /recommendations/{recommendation_id}","href":"/api/recommendations/fetch-recommendation-details"},{"title":"Fetch Recommendation Results","deprecated":null,"version":null,"openapi":"/api/recommendations/recommendations.yaml post /recommendations/{recommendation_id}/items","href":"/api/recommendations/fetch-recommendation-results"}]},{"group":"Coupons","icon":"ticket","pages":[{"title":"Coupon Management Overview","icon":"file-magnifying-glass","href":"/api/coupons/coupons-overview"},{"title":"Create a Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml post /coupon-list","href":"/api/coupon-lists/create-a-coupon-list"},{"title":"Fetch All Coupon Lists","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml get /coupon-list","href":"/api/coupon-lists/fetch-all-coupon-lists"},{"title":"Fetch Coupon List Details","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml get /coupon-list/{coupon_list_id}","href":"/api/coupon-lists/fetch-coupon-list-details"},{"title":"Update a Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml patch /coupon-list/{coupon_list_id}","href":"/api/coupon-lists/update-a-coupon-list"},{"title":"Activate Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml put /coupon-list/{coupon_list_id}/activate","href":"/api/coupon-lists/activate-coupon-list"},{"title":"Archive a Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml put /coupon-list/{coupon_list_id}/archive","href":"/api/coupon-lists/archive-a-coupon-list"},{"title":"Upload a Coupon File to the Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml post /coupon-list/{coupon_list_id}/files","href":"/api/coupon-files/upload-a-coupon-file-to-the-coupon-list"},{"title":"Fetch All Coupon Files From Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml get /coupon-list/{coupon_list_id}/files","href":"/api/coupon-files/fetch-all-coupon-files-from-coupon-list"},{"title":"Fetch a Coupon File from Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml get /coupon-list/{coupon_list_id}/files/{coupon_file_id}","href":"/api/coupon-files/fetch-a-coupon-file-from-coupon-list"},{"title":"Delete a Coupon File from the Coupon List","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml delete /coupon-list/{coupon_list_id}/files/{coupon_file_id}","href":"/api/coupon-files/delete-a-coupon-file-from-the-coupon-list"},{"title":"Generate Usage Report","deprecated":null,"version":null,"openapi":"/api/coupons/coupons.yaml post /coupon-list/{coupon_list_id}/usage-report","href":"/api/reports/generate-usage-report"}]},{"group":"Catalog","icon":"box","pages":[{"title":"Catalog Overview","icon":"file-magnifying-glass","href":"/api/catalog/catalog-overview"},{"title":"Create Catalog","deprecated":null,"version":null,"openapi":"/api/catalog/catalog.yaml post /catalog","href":"/api/catalog/create-catalog"},{"title":"Add Catalog Attributes","deprecated":null,"version":null,"openapi":"/api/catalog/catalog.yaml patch /catalog/{catalog_id}/attributes","href":"/api/catalog/add-catalog-attributes"},{"title":"Add Items","deprecated":null,"version":null,"openapi":"/api/catalog/catalog.yaml post /catalog/{catalog_id}/items","href":"/api/items/add-items"},{"title":"Get Items","deprecated":null,"version":null,"openapi":"/api/catalog/catalog.yaml post /catalog/{catalog_id}/items/search","href":"/api/items/get-items"},{"title":"Update Items","deprecated":null,"version":null,"openapi":"/api/catalog/catalog.yaml patch /catalog/{catalog_id}/items","href":"/api/items/update-items"},{"title":"Delete Items","deprecated":null,"version":null,"openapi":"/api/catalog/catalog.yaml post /catalog/{catalog_id}/items/bulk-delete","href":"/api/items/delete-items"}]}]},{"group":"Flows","icon":"diagram-project","pages":[{"title":"Flows Overview","href":"/api/flows/flows-overview"},{"title":"Search Flows","deprecated":null,"version":null,"openapi":"/api/flows/flows.yaml post /v5/flows/search","href":"/api/flows/search-flows"},{"title":"Get a Single Flow","deprecated":null,"version":null,"openapi":"/api/flows/flows.yaml get /v5/flows/{flow_id}","href":"/api/flows/get-a-single-flow"},{"title":"Get a Specific Version of a Flow","deprecated":null,"version":null,"openapi":"/api/flows/flows.yaml get /v5/flows/{flow_id}/versions/{version_id}","href":"/api/flows/get-a-specific-version-of-a-flow"},{"title":"Update Flow Status","deprecated":null,"version":null,"openapi":"/api/flows/flows.yaml patch /v5/flows/{flow_id}/status","href":"/api/flows/update-flow-status"}]},{"group":"Offerings","icon":"gift","pages":[{"title":"Offerings Overview","icon":"gift","href":"/api/offerings/offerings-overview"},{"title":"List Offerings","deprecated":null,"version":null,"openapi":"/api/offerings/offerings.yaml get /v5/offers","href":"/api/public-offerings/list-offerings"},{"title":"Get Offering","deprecated":null,"version":null,"openapi":"/api/offerings/offerings.yaml get /v5/offers/{offer_id}","href":"/api/public-offerings/get-offering"},{"title":"Create Offering","deprecated":null,"version":null,"openapi":"/api/offerings/offerings.yaml post /v5/offers","href":"/api/public-offerings/create-offering"},{"title":"Update Offering","deprecated":null,"version":null,"openapi":"/api/offerings/offerings.yaml patch /v5/offers/{offer_id}","href":"/api/public-offerings/update-offering"},{"title":"List Offer Templates","deprecated":null,"version":null,"openapi":"/api/offerings/offerings.yaml get /v5/offers/templates","href":"/api/public-offerings/list-offer-templates"},{"title":"Get Offer Template","deprecated":null,"version":null,"openapi":"/api/offerings/offerings.yaml get /v5/offers/templates/{template_id}","href":"/api/public-offerings/get-offer-template"}]},{"group":"Campaigns","icon":"paper-plane","pages":[{"group":"Campaigns","icon":"file-pen","pages":[{"title":"Campaigns Overview","icon":"file-magnifying-glass","href":"/api/campaigns/campaign-draft-overview"},{"title":"Create Campaign Draft (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/campaigns","href":"/api/create-campaigns/create-campaign-draft-v5"},{"title":"Campaign content reference","icon":"layout-template","href":"/api/campaigns/campaign-content-reference"},{"title":"Audience and delivery reference","icon":"users-viewfinder","href":"/api/campaigns/audience-scheduling-delivery-reference"},{"title":"Get Campaign (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml get /v5/campaigns/{campaign_id}","href":"/api/get-campaign-details/get-campaign-v5"},{"title":"Update Campaign (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml patch /v5/campaigns/{campaign_id}","href":"/api/update-campaigns/update-campaign-v5"},{"title":"Validate Campaign (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/campaigns/{campaign_id}/validate","href":"/api/create-campaigns/validate-campaign-v5"},{"title":"Update Campaign Status (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml patch /v5/campaigns/{campaign_id}/status","href":"/api/update-campaigns/update-campaign-status-v5"},{"title":"Search Campaigns (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/campaigns/search","href":"/api/get-campaign-details/search-campaigns-v5"},{"title":"Test Campaign (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/campaigns/test","href":"/api/test-campaigns/test-campaign-v5"},{"title":"Get Campaign Meta (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/campaigns/meta","href":"/api/get-campaign-details/get-campaign-meta-v5"},{"title":"Personalized Preview (V5)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/personalizations/previews","href":"/api/personalized-preview/personalized-preview-v5"}]},{"group":"Campaigns (Legacy)","icon":"paper-plane","pages":[{"title":"Campaigns (Legacy) Overview","icon":"file-magnifying-glass","href":"/api/campaigns/campaigns-overview"},{"title":"Create Campaign","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /campaigns","href":"/api/create-campaigns/create-campaign"},{"title":"Update Campaign (V1 — Legacy)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml patch /campaigns/{campaign_id}","href":"/api/update-campaigns/update-campaign-v1-—-legacy"},{"title":"Search Campaigns","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /campaigns/search","href":"/api/get-campaign-details/search-campaigns"},{"title":"V1 vs. V5 Search Campaigns: Behavioral Differences","href":"/api/campaigns/search-campaigns-v5-migration"},{"title":"Test Campaign","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /campaigns/test","href":"/api/test-campaigns/test-campaign"},{"title":"Personalized Preview","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /personalization/preview","href":"/api/test-campaigns/personalized-preview"},{"title":"Get Campaign Meta (V1 — Legacy)","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /campaigns/meta","href":"/api/get-campaign-details/get-campaign-meta-v1-—-legacy"},{"title":"Change Campaign Status","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /campaigns/status","href":"/api/update-campaigns/change-campaign-status"},{"title":"Get Child Campaigns","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml post /campaigns/{parent_campaign_id}/executions","href":"/api/get-campaign-details/get-child-campaigns"},{"title":"Update Global Control Group","deprecated":null,"version":null,"openapi":"/api/campaigns/campaigns.yaml put /global-control-group/users","href":"/api/update-campaigns/update-global-control-group"}]},{"group":"Campaign Report and Stats","icon":"chart-bar","pages":[{"title":"Campaign Stats and Reports Overview","icon":"file-magnifying-glass","href":"/api/stats-report/stats-report-overview"},{"title":"Get Campaign Stats","deprecated":null,"version":null,"openapi":"/api/stats-report/stats-report.yaml post /core-services/v1/campaign-stats","href":"/api/stats/get-campaign-stats"},{"title":"Download Campaign Report","deprecated":null,"version":null,"openapi":"/api/stats-report/stats-report.yaml get /campaign_reports/rest_api/{APP_ID}/{FILENAME}","href":"/api/campaign-reports/download-campaign-report"}]}]},{"group":"Messaging","icon":"envelope","pages":[{"title":"Messaging API Overview","icon":"envelope","href":"/api/messaging/messaging-api-overview"},{"title":"Trigger Message","deprecated":null,"version":null,"openapi":"/api/campaigns/campaign-draft.yaml post /v5/campaigns/{campaign_id}/send","href":"/api/trigger/trigger-message"}]},{"group":"Analyze","icon":"chart-line","tag":"NEW","pages":[{"group":"Dashboards","icon":"objects-column","pages":[{"title":"Custom Dashboards Overview","icon":"file-magnifying-glass","href":"/api/analytics/analytics-overview"},{"title":"List Dashboards","deprecated":null,"version":null,"openapi":"/api/analytics/analytics.yaml get /v5/analytics/dashboards","href":"/api/dashboards/list-dashboards"},{"title":"Get Dashboard Charts","deprecated":null,"version":null,"openapi":"/api/analytics/analytics.yaml get /v5/analytics/dashboards/{dashboard_id}/charts","href":"/api/dashboards/get-dashboard-charts"},{"title":"Get Chart Data","deprecated":null,"version":null,"openapi":"/api/analytics/analytics.yaml get /v5/analytics/dashboards/{dashboard_id}/charts/{chart_id}","href":"/api/dashboards/get-chart-data"}]},{"group":"Analytics","icon":"chart-mixed","pages":[{"title":"Analytics Query APIs Overview","icon":"chart-mixed","href":"/api/analytics-query/analytics-query-overview"},{"title":"Register a Behavior Query","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml post /v5/analytics/behavior","href":"/api/analytics-queries/register-a-behavior-query"},{"title":"Register a Funnels Query","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml post /v5/analytics/funnels","href":"/api/analytics-queries/register-a-funnels-query"},{"title":"Register a Retention Query","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml post /v5/analytics/retention","href":"/api/analytics-queries/register-a-retention-query"},{"title":"Register a Session-Source Query","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml post /v5/analytics/session-source","href":"/api/analytics-queries/register-a-session-source-query"},{"title":"Register a User Analysis Query","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml post /v5/analytics/user-analysis","href":"/api/analytics-queries/register-a-user-analysis-query"},{"title":"Get Query Status","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml get /v5/analytics/query/{request_id}/status","href":"/api/analytics-queries/get-query-status"},{"title":"Get Query Results","deprecated":null,"version":null,"openapi":"/api/analytics-query/analytics-query.yaml get /v5/analytics/query/{request_id}/results","href":"/api/analytics-queries/get-query-results"}]}]},{"group":"Segments","icon":"users","pages":[{"title":"Segments Overview","description":"Create, update, and manage your file-based, filter-based, and cohort-synced segments.","icon":"file-magnifying-glass","href":"/api/custom-segments/custom-segments-overview"},{"group":"File Segments","icon":"file-csv","pages":[{"title":"Create File Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml post /v2/custom-segments/file-segment","href":"/api/file-segments/create-file-segment"},{"title":"Add Users to File Segment","description":"This API adds a list of users from a CSV file to an existing file segment.","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml put /v2/custom-segments/file-segment/add-users","href":"/api/file-segments/add-users-to-file-segment"},{"title":"Remove Users from File Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml put /v2/custom-segments/file-segment/remove-users","href":"/api/file-segments/remove-users-from-file-segment"},{"title":"Replace Users from File Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml put /v2/custom-segments/file-segment/replace","href":"/api/file-segments/replace-users-from-file-segment"}]},{"group":"Filter Segments","icon":"filter","pages":[{"title":"List Segments","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml get /v3/custom-segments","href":"/api/filter-segments/list-segments"},{"title":"Create Filter Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml post /v3/custom-segments","href":"/api/filter-segments/create-filter-segment"},{"title":"Get Segment by ID","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml get /v3/custom-segments/{id}","href":"/api/filter-segments/get-segment-by-id"},{"title":"Update Filter Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml patch /v3/custom-segments/{id}","href":"/api/filter-segments/update-filter-segment"}]},{"group":"Cohort Sync","icon":"users-gear","pages":[{"title":"Sync Cohort Members","deprecated":null,"version":null,"openapi":"/api/cohort-audience/cohort-audience.yaml post /v1/integrations/cohortsync","href":"/api/cohort-sync/sync-cohort-members"}]},{"group":"Manage Segments","icon":"sliders","pages":[{"title":"Archive Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml patch /v2/custom-segments/archive","href":"/api/manage-segments/archive-segment"},{"title":"Unarchive Segment","deprecated":null,"version":null,"openapi":"/api/custom-segments/custom-segments.yaml patch /v2/custom-segments/unarchive","href":"/api/manage-segments/unarchive-segment"}]}]},{"group":"Subscriptions","icon":"envelope-circle-check","pages":[{"group":"Email Subscription","icon":"envelope","pages":[{"title":"Email Subscription Overview","icon":"file-magnifying-glass","href":"/api/email-subscription/email-subscription-overview"},{"title":"Bulk Resubscribe Users","deprecated":null,"version":null,"openapi":"/api/email-subscription/email-subscription.yaml post /emails/v1.0/bulk-resubscribe","href":"/api/resubscribe/bulk-resubscribe-users"},{"title":"Update User Email Opt-in Preferences","deprecated":null,"version":null,"openapi":"/api/email-subscription/email-subscription.yaml put /v1.0/opt-in-management/user-preferences","href":"/api/opt-in-management/update-user-email-opt-in-preferences"}]},{"group":"Subscription Categories","icon":"list-check","pages":[{"group":"Subscription Categories (V5)","pages":[{"title":"Subscription Categories (V5)","icon":"file-magnifying-glass","href":"/api/subscription-categories/subscription-categories-v5/subscription-categories-overview-v5"},{"title":"Get Subscription Categories (V5)","deprecated":null,"version":null,"openapi":"/api/subscription-categories/subscription-categories-v5/subscription-categories-v5.yaml get /v5/subscription-categories","href":"/api/subscription-categories/get-subscription-categories-v5"},{"title":"Get Subscription Preferences (V5)","deprecated":null,"version":null,"openapi":"/api/subscription-categories/subscription-categories-v5/subscription-categories-v5.yaml get /v5/subscription-preferences","href":"/api/subscription-preferences/get-subscription-preferences-v5"},{"title":"Update Subscription Preferences (V5)","deprecated":null,"version":null,"openapi":"/api/subscription-categories/subscription-categories-v5/subscription-categories-v5.yaml patch /v5/subscription-preferences","href":"/api/subscription-preferences/update-subscription-preferences-v5"}]},{"group":"Subscription Categories (Legacy)","pages":[{"title":"Subscription Categories (Legacy)","icon":"file-magnifying-glass","href":"/api/subscription-categories/subscription-categories-legacy/subscription-categories-overview-legacy"},{"title":"Get Subscription Preferences","deprecated":null,"version":null,"openapi":"/api/subscription-categories/subscription-categories-legacy/subscription-categories-legacy.yaml get /category-subscription/user-preferences","href":"/api/subscription-preferences/get-subscription-preferences"},{"title":"Update Subscription Preferences","deprecated":null,"version":null,"openapi":"/api/subscription-categories/subscription-categories-legacy/subscription-categories-legacy.yaml put /category-subscription/user-preferences","href":"/api/subscription-preferences/update-subscription-preferences"},{"title":"Bulk Update Subscription Preferences","deprecated":null,"version":null,"openapi":"/api/subscription-categories/subscription-categories-legacy/subscription-categories-legacy.yaml post /category-subscription/user-preferences","href":"/api/subscription-preferences/bulk-update-subscription-preferences"}]}]}]},{"group":"Push","icon":"bell","pages":[{"title":"Push Overview","icon":"file-magnifying-glass","href":"/api/push/push-overview"},{"title":"Push API (V5)","openapi":"api/push/push-v5.yaml POST /v5/push/notifications","href":"/api/push/push-api"},{"title":"Push API (v2.1, Legacy)","openapi":"api/push/push-v2-1.yaml POST /v2.1/transaction/sendpush","href":"/api/push/push-api-v2-1-legacy"},{"title":"Push API (v2, Legacy)","openapi":"api/push/push.yaml POST /transaction/sendpush","href":"/api/push/push-api-v2-legacy"}]},{"group":"Cards","icon":"rectangle-history","pages":[{"title":"Cards Overview","icon":"file-magnifying-glass","href":"/api/cards/cards-overview"},{"title":"Fetch Cards for User","deprecated":null,"version":null,"openapi":"/api/cards/cards.yaml post /cards/fetch","href":"/api/cards/fetch-cards-for-user"},{"title":"Delete Cards for User","deprecated":null,"version":null,"openapi":"/api/cards/cards.yaml delete /cards/delete","href":"/api/cards/delete-cards-for-user"}]},{"group":"Inform","icon":"message","pages":[{"title":"Inform Overview","icon":"file-magnifying-glass","href":"/api/inform/inform-overview"},{"title":"Send Transactional Alert","deprecated":null,"version":null,"openapi":"/api/inform/inform.yaml post /alerts/send","href":"/api/transactional-alerts/send-transactional-alert"}]},{"group":"Live Activities","icon":"circle-play","pages":[{"title":"Live Activities Overview","icon":"file-magnifying-glass","href":"/api/live-activities/live-activities-overview"},{"title":"Start Broadcast Live Activity","deprecated":null,"version":null,"openapi":"/api/live-activities/live-activities.yaml post /live-activity/broadcast/start","href":"/api/live-activities/start-broadcast-live-activity"},{"title":"Update Broadcast Live Activity","deprecated":null,"version":null,"openapi":"/api/live-activities/live-activities.yaml post /live-activity/broadcast/update","href":"/api/live-activities/update-broadcast-live-activity"},{"title":"End Broadcast Live Activity","deprecated":null,"version":null,"openapi":"/api/live-activities/live-activities.yaml post /live-activity/broadcast/end","href":"/api/live-activities/end-broadcast-live-activity"}]},{"group":"Personalize","icon":"bullseye-arrow","pages":[{"title":"Personalize Overview","icon":"file-magnifying-glass","href":"/api/personalize-experience/personalize-overview"},{"title":"Fetch Experience","deprecated":null,"version":null,"openapi":"/api/personalize-experience/personalize-experience.yaml post /experiences/fetch","href":"/api/experiences/fetch-experience"},{"title":"Fetch Experience Metadata","deprecated":null,"version":null,"openapi":"/api/personalize-experience/personalize-experience.yaml get /experiences/metadata","href":"/api/experiences/fetch-experience-metadata"},{"title":"Track Experience Events","deprecated":null,"version":null,"openapi":"/api/personalize-experience/personalize-experience.yaml post /experiences/events","href":"/api/events/track-experience-events"}]},{"group":"Message Archival","icon":"box-archive","pages":[{"title":"Message Archival Overview","icon":"file-magnifying-glass","href":"/api/message-archival/message-archival-overview"},{"title":"View Archived Message","deprecated":null,"version":null,"openapi":"/api/message-archival/message-archival.yaml post /archival/view","href":"/api/message-archival/view-archived-message"}]}]}]},{"tab":"AI \u0026 Intelligence","pages":[{"title":"AI \u0026 Intelligence","href":"/user-guide/ai-and-intelligence/overview"}]},{"tab":"Partner Integrations","pages":[{"title":"Partner Integrations","href":"/partner-guide/introduction"}]},{"tab":"Use Cases","pages":[{"title":"Use Cases","href":"/use-cases/introduction"}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/release-notes/subscribe-to-release-notes"}]}]},{"language":"ja","pages":[{"title":"ja","href":"/ja/api/file-segments/create-file-segment"}]}]},"basePath":"","title":"Create File Segment - MoEngage","buildId":"dpl_H5KQTnCewfWWvJxA7c3bCm7MFbb6","deploymentId
[...]
